SET		TERMOUT OFF;
SET		TRIMSPOOL ON;
SET		WRAP OFF;
SET		TRIMOUT ON;
SET		NEWPAGE NONE;
SET		COLSEP ';'
SET		LINESIZE 5000;
SET		PAGESIZE 0;
SET		FEEDBACK OFF;
SET		VERIFY OFF;
SET		HEADING OFF;
SET		ECHO OFF;
SET		EMBEDDED ON;
COLUMN	PROPVAL FORMAT A40;
COLUMN	ARTICLE FORMAT A40;
COLUMN	CSVLINE FORMAT A97;

SPOOL  '&1';

SELECT  STPROPS.PROPVAL ||';'||
        SMGOODS.ARTICLE ||';'||
        CASE WHEN SMGOODS.QUANTITY IS NULL THEN
            '0'
        ELSE
            rtrim(to_char(SMGOODS.QUANTITY, 'FM999999990.9999'), '.')
        END AS CSVLINE
FROM    SMGOODS
		JOIN	SMCARD
		ON		SMGOODS.ARTICLE = SMCARD.ARTICLE
				AND SMCARD.ACCEPTED = 1
		JOIN	SMSTOREPROPERTIES STPROPS
		ON		SMGOODS.STORELOC = STPROPS.STORELOC
				AND STPROPS.PROPID = 'ID_UKM'
		JOIN	SMSTORELOCATIONS LOCS
		ON		STPROPS.STORELOC = LOCS.ID
				AND LOCS.LOCTYPE = 4
				AND LOCS.ACCEPTED = 1
WHERE	SMGOODS.ARTICLE != '0'
        AND (
            '&2' = 'True'
            OR SMGOODS.QUANTITY != 0 AND SMGOODS.QUANTITY IS NOT NULL
        )
ORDER   BY STPROPS.PROPVAL, SMGOODS.ARTICLE;

SPOOL OFF;
EXIT;